## python-charset-normalizer 3.0.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Charset Normalizer
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-charset-normalizer 2.0.6

=== debian/changelog ===
python-charset-normalizer (2.0.6-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Nov 2021 21:58:13 -0500

python-charset-normalizer (2.0.6-1) unstable; urgency=low

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Mon, 27 Sep 2021 17:55:53 +0200

=== debian/control ===
Source: python-charset-normalizer
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 13~),
 dh-python,
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/ousret/charset_normalizer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-charset-normalizer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-charset-normalizer

Package: python3-charset-normalizer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: charset, encoding and language detection for Python
 charset-normalizer is a library for detection of charsets, encodings,
 and languages in Python programs. It can be compared to chardet, with
 a different approach, which intends to make it faster and more reliable.
 charset-normalizer can also detect natural languages.
 .
 All IANA character set names for which the Python core library provides
 codecs are supported.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.10.0 at
# Mon, 27 Sep 2021 17:18:36 +0200
export PYBUILD_NAME=charset_normalizer
export PYBUILD_BEFORE_TEST=cp -r {dir}/data {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/data/
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/charset-normalizer
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/charset-normalizer/charset-normalizer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-charset-normalizer 3.0.1

=== debian/changelog ===
python-charset-normalizer (3.0.1-2) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Nov 2022 09:00:14 +0100

python-charset-normalizer (3.0.1-1) unstable; urgency=medium

  * Team upload
  * d/watch: Switch to git mode on the GitHub repository
  * d/gbp.conf: Add some basic default configuration
  * New upstream version 3.0.1
  * d/control: Add BuildProfile information on some B-D
  * d/control: Adjust binary package description
  * d/rules: Remove "with=python3" from default target
  * d/u/metadata: Add Documentation and FAQ entry
  * d/README.source: Add some information about the source
  * d/copyright: Update and add some content data
  * Rebuild patch queue from patch-queue branch
    Added patch:
    docs-Prevent-possible-privacy-issue-to-a-linked-image.patch
  * python-charset-normalizer-doc: Adding new binary package
    Build a new binary packagepython-charset-normalizer-doc that contains the
    Sphinx based documentation.
  * autopkgtest: Adding a basic first test setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Nov 2022 12:27:52 +0100

python-charset-normalizer (2.0.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:14:34 +0100

=== debian/control ===
Source: python-charset-normalizer
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 furo <!nodoc>,
Standards-Version: 4.6.1
Homepage: https://github.com/ousret/charset_normalizer
Vcs-Git: https://salsa.debian.org/python-team/packages/python-charset-normalizer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-charset-normalizer

Package: python-charset-normalizer-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: charset, encoding and language detection for Python (Documentation)
 charset-normalizer is a library for detection of charsets, encodings,
 and languages in Python programs. It can be compared to chardet, with
 a different approach, which intends to make it faster and more reliable.
 charset-normalizer can also detect natural languages.
 .
 All IANA character set names for which the Python core library provides
 codecs are supported.
 .
 This package contains the documentation.

Package: python3-charset-normalizer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: charset, encoding and language detection (Python 3)
 charset-normalizer is a library for detection of charsets, encodings,
 and languages in Python programs. It can be compared to chardet, with
 a different approach, which intends to make it faster and more reliable.
 charset-normalizer can also detect natural languages.
 .
 All IANA character set names for which the Python core library provides
 codecs are supported.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=charset_normalizer
export PYBUILD_BEFORE_TEST=cp -r {dir}/data {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/data/

%:
	dh $@ --with=sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html
	rm $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html/.nojekyll
	dh_sphinxdoc
endif

## python-charset-normalizer 3.1.0

=== debian/changelog ===
python-charset-normalizer (3.1.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 3.1.0
  * d/control: Bump Standards-Version to 4.6.2
  * d/copyright: Update years of contributions
  * d/control: Adding Rules-Requires-Root: no

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Apr 2023 08:30:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  python3-setuptools,
  python3-sphinx,
  furo <!nodoc>,
-Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Homepage: https://github.com/ousret/charset_normalizer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-charset-normalizer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-charset-normalizer

## python-charset-normalizer 3.2.0

=== debian/changelog ===
python-charset-normalizer (3.2.0-1) unstable; urgency=medium

  * Team upload
  * [c1ef4ce] New upstream version 3.2.0
  * [79ae4c0] d/control: Suggesting package python-charset-normalizer-doc

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Jul 2023 08:25:45 +0200

python-charset-normalizer (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 23 Jun 2023 16:13:04 +0200

## python-charset-normalizer 3.3.2

=== debian/changelog ===
python-charset-normalizer (3.3.2-2) unstable; urgency=medium

  * Team upload.
  * Build binary versions using mypyc to increase performance; as
    upstream does.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 03 Aug 2024 16:31:55 +0200

python-charset-normalizer (3.3.2-1) unstable; urgency=medium

  * Team upload
  * [0a16ba1] New upstream version 3.3.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Nov 2023 09:57:08 +0000

python-charset-normalizer (3.3.0-1) unstable; urgency=medium

  * Team upload
  * [83780c6] New upstream version 3.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 21 Oct 2023 19:13:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-all-dev,
+ python3-mypy,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
@@ -38,10 +40,13 @@
  This package contains the documentation.
 
 Package: python3-charset-normalizer
-Architecture: all
+Architecture: any
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ${shlibs:Depends}
+Suggests:
+ python-charset-normalizer-doc,
 Description: charset, encoding and language detection (Python 3)
  charset-normalizer is a library for detection of charsets, encodings,
  and languages in Python programs. It can be compared to chardet, with

=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,13 @@
 export PYBUILD_NAME=charset_normalizer
 export PYBUILD_BEFORE_TEST=cp -r {dir}/data {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/data/
+export CHARSET_NORMALIZER_USE_MYPYC=1
 
 %:
 	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
-override_dh_sphinxdoc:
+execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html
 	rm $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html/.nojekyll
-	dh_sphinxdoc
 endif

## python-charset-normalizer 3.4.0

=== debian/changelog ===
python-charset-normalizer (3.4.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:53:40 +0100

python-charset-normalizer (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refresh patches

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Oct 2024 18:48:05 +0200

python-charset-normalizer (3.3.2-4) unstable; urgency=medium

  * Team upload.
  * Add patch to make the build reproducible

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 19 Sep 2024 17:35:46 +0200

python-charset-normalizer (3.3.2-3) unstable; urgency=medium

  * Team upload.
  * Break dependency loop (us→sphinx→requests→us).
    Thank you Samuel Thibault <sthibault@debian.org>
    & Adrian Bunk <bunk@debian.org> for the fixes.
    Closes: #1078012
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse, Security-Contact.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 10:54:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,12 @@
 %:
 	dh $@ --with=sphinxdoc --buildsystem=pybuild
 
-execute_before_dh_sphinxdoc:
-ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+override_dh_sphinxdoc-arch:
+
+override_dh_auto_build-indep:
+
+override_dh_auto_test-indep:
+
+execute_before_dh_sphinxdoc-indep:
 	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html
 	rm $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html/.nojekyll
-endif

## python-charset-normalizer 3.4.1

=== debian/changelog ===
python-charset-normalizer (3.4.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:06:32 +0000

python-charset-normalizer (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Feb 2025 13:02:04 +0000

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,12 @@
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,
+ sphinx-common,
+Build-Depends-Indep:
  python3-sphinx,
- furo <!nodoc>,
+ furo,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ousret/charset_normalizer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-charset-normalizer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-charset-normalizer

## python-charset-normalizer 3.4.2

=== debian/changelog ===
python-charset-normalizer (3.4.2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:14:31 +0000

python-charset-normalizer (3.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 05 May 2025 11:40:18 +0100

## python-charset-normalizer 3.4.3

=== docs/requirements.txt ===
Sphinx
furo

=== debian/changelog ===
python-charset-normalizer (3.4.3-1) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * New upstream release.

  [ Helmut Grohne ]
  * Fix FTCBFS: multiarchify Python Build-Depends (closes: #1107123).

 -- Colin Watson <cjwatson@debian.org>  Tue, 19 Aug 2025 15:00:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ libpython3-all-dev,
  pybuild-plugin-pyproject,
- python3-all,
- python3-all-dev,
- python3-mypy,
+ python3-all:native,
+ python3-all-dev:native,
+ python3-mypy:native,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,5 @@
 override_dh_auto_test-indep:
 
 execute_before_dh_sphinxdoc-indep:
-	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html
+	PYTHONPATH=src python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html
 	rm $(CURDIR)/debian/python-charset-normalizer-doc/usr/share/doc/python-charset-normalizer-doc/html/.nojekyll

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 python3-all,
 python3-pytest,
 python3-pytest-cov,
 @,
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//" \
https://github.com/jawah/charset_normalizer.git \
      refs/tags/@ANY_VERSION@

## python-charset-normalizer 3.4.4

=== debian/changelog ===
python-charset-normalizer (3.4.4-2) unstable; urgency=medium

  * Team upload.
  * Explicitly check that mypyc works for each supported Python version
    (closes: #1121820).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Dec 2025 11:42:51 +0000

python-charset-normalizer (3.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Nov 2025 17:48:14 +0000

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
 Build-Depends-Indep:
  python3-sphinx,
  furo,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ousret/charset_normalizer
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-charset-normalizer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-charset-normalizer

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"
 
 export PYBUILD_NAME=charset_normalizer
+# Ensure that mypyc works for all supported Python versions.
+export PYBUILD_BEFORE_CONFIGURE={interpreter} -c 'from mypyc.build import mypycify'
 export PYBUILD_BEFORE_TEST=cp -r {dir}/data {build_dir}
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/.coverage {build_dir}/data/
 export CHARSET_NORMALIZER_USE_MYPYC=1
